Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 326759 - <media-gfx/splashutils-1.5.4.3-r3: internal copy of vuln. libpng (CVE-2010-1205)
Summary: <media-gfx/splashutils-1.5.4.3-r3: internal copy of vuln. libpng (CVE-2010-1205)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-03 18:21 UTC by Samuli Suominen
Modified: 2014-12-12 00:33 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2010-07-03 18:21:17 UTC
As a result of bug 324153, splashutils should be upgraded to use libpng-1.4.3.

I doubt there is much of a attack vector, but nevertheless...
Comment 1 Michal Januszewski (RETIRED) gentoo-dev 2010-07-03 18:36:19 UTC
I have just updated libpng to 1.4.3 in splashutils-1.5.4.3-r3.
Comment 2 Samuli Suominen gentoo-dev 2010-07-05 09:44:37 UTC
I guess it's time for...

Arch's, please test & stabilize:

=media-gfx/splashutils-1.5.4.3-r3
Comment 3 Christian Faulhammer (RETIRED) gentoo-dev 2010-07-06 19:08:20 UTC
x86 stable
Comment 4 Markos Chandras (RETIRED) gentoo-dev 2010-07-11 11:46:31 UTC
amd64 done
Comment 5 Joe Jezak (RETIRED) gentoo-dev 2010-07-19 01:26:59 UTC
Marked ppc stable.
Comment 6 Tim Sammut (RETIRED) gentoo-dev 2010-11-19 07:31:19 UTC
GLSA request filed.
Comment 7 Pacho Ramos gentoo-dev 2013-06-16 17:37:08 UTC
security, ping
Comment 8 Sean Amoss (RETIRED) gentoo-dev Security 2014-12-12 00:33:08 UTC
This issue was resolved and addressed in
 GLSA 201412-08 at http://security.gentoo.org/glsa/glsa-201412-08.xml
by GLSA coordinator Sean Amoss (ackle).